/*  1. Erzeugen Sie zuerst zwei n-dimensionale Vektoren mit Zufallszahlen.
Berechnen Sie dann die Summe und das Skalarprodukt der beiden Vektoren.
Geben Sie danach alle 3 Vektoren und das Skalarprodukt aus!
------------------------------------------------------------------------------*/
#include <stdlib.h>
#define nmax 10
int main()                      /* nmax= Anzahl der vereinbarten Feldelemente */
{ float veka[nmax], vekb[nmax], sumvek[nmax], skalar;
  int i, anz;
  do {printf("\n Anzahl der Feldelemente (<=%i): ", nmax);
     scanf("%i", &anz);
  }while(anz<0 || anz>nmax);

  srand( time(0));
  skalar= 0;        /* init für Summe */
  for( i=0; i<anz; i++)
  {  veka[i]= rand()%40;         /* Wertzuweisung an die Feldelemente */
     vekb[i]= rand()/32767.0;
     sumvek[i]= veka[i] + vekb[i];         /* Summe der Vektor */
     skalar= skalar + veka[i]* vekb[i];
  }
  printf("\n Index VektorA VektorB    Summenvektor\n");
  for( i=0; i<anz; i++)
  printf("%4i %9.4f %9.4f %9.4f\n", i, veka[i], vekb[i], sumvek[i]);

  printf("\n\n Skalarprodukt: %f\n\n", skalar);

  printf("\n\n");     system("PAUSE");       return 0;
}
